Composer で wp-cli をインストールすると help と cli サブコマンドしか存在しないのをどうにかする

結論からいうと、「 wp-cli/wp-cli-bundle も composer require する」 です。

help と cli サブコマンドのみインストールされる状況を確認してみる

バージョン確認:

サブコマンド一覧:

ほぉっほぉー

解決策: wp-cli/wp-cli-bundle を composer require する

サブコマンド一覧を確認する

おけー

なんでパッケージを分けたの?

おそらくですが、wp-cliをコマンドラインツールのフレームワークとしてのみ使いたい人のためかなと思います。
自分としてもその方がありがたいかもです。

ではでは

参考

Filed under: ツールTagged with:

よく読まれている投稿

No comment yet, add your voice below!


Add a Comment

This site uses Akismet to reduce spam. Learn how your comment data is processed.